python-acme_0.4.1-1_all.deb


Advertisement

Description

python-acme - ACME protocol library for Python 2

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-acme
Package version: 0.4.1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 317 B
Download size: 55.66 KB
Official Mirror: archive.ubuntu.com
This is a library used by the Let's Encrypt client for the ACME (Automated Certificate Management Environment). The ACME protocol is designed as part of the Let's Encrypt project, to make it possible to setup an HTTPS server and have it automatically obtain a browser-trusted certificate, without any human intervention. This library implements the protocol used for proving the control of a domain. This library is Python 2.

Alternatives

    Download

    Source package: python-acme

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-acme deb package:
      # sudo apt-get install python-acme

    Files

    • /usr/lib/python2.7/dist-packages/acme/__init__.py
    • /usr/lib/python2.7/dist-packages/acme/challenges.py
    • /usr/lib/python2.7/dist-packages/acme/challenges_test.py
    • /usr/lib/python2.7/dist-packages/acme/client.py
    • /usr/lib/python2.7/dist-packages/acme/client_test.py
    • /usr/lib/python2.7/dist-packages/acme/crypto_util.py
    • /usr/lib/python2.7/dist-packages/acme/crypto_util_test.py
    • /usr/lib/python2.7/dist-packages/acme/errors.py
    • /usr/lib/python2.7/dist-packages/acme/errors_test.py
    • /usr/lib/python2.7/dist-packages/acme/fields.py
    • /usr/lib/python2.7/dist-packages/acme/fields_test.py
    • /usr/lib/python2.7/dist-packages/acme/jws.py
    • /usr/lib/python2.7/dist-packages/acme/jws_test.py
    • /usr/lib/python2.7/dist-packages/acme/messages.py
    • /usr/lib/python2.7/dist-packages/acme/messages_test.py
    • /usr/lib/python2.7/dist-packages/acme/other.py
    • /usr/lib/python2.7/dist-packages/acme/other_test.py
    • /usr/lib/python2.7/dist-packages/acme/standalone.py
    • /usr/lib/python2.7/dist-packages/acme/standalone_test.py
    • /usr/lib/python2.7/dist-packages/acme/test_util.py
    • /usr/lib/python2.7/dist-packages/acme/util.py
    • /usr/lib/python2.7/dist-packages/acme/util_test.py
    • /usr/lib/python2.7/dist-packages/acme-0.4.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/acme-0.4.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/acme-0.4.1.egg-info/entry_points.txt
    • /usr/lib/python2.7/dist-packages/acme-0.4.1.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/acme-0.4.1.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/acme/jose/__init__.py
    • /usr/lib/python2.7/dist-packages/acme/jose/b64.py
    • /usr/lib/python2.7/dist-packages/acme/jose/b64_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/errors.py
    • /usr/lib/python2.7/dist-packages/acme/jose/errors_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/interfaces.py
    • /usr/lib/python2.7/dist-packages/acme/jose/interfaces_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/json_util.py
    • /usr/lib/python2.7/dist-packages/acme/jose/json_util_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jwa.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jwa_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jwk.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jwk_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jws.py
    • /usr/lib/python2.7/dist-packages/acme/jose/jws_test.py
    • /usr/lib/python2.7/dist-packages/acme/jose/util.py
    • /usr/lib/python2.7/dist-packages/acme/jose/util_test.py
    • /usr/share/doc/python-acme/changelog.Debian.gz
    • /usr/share/doc/python-acme/copyright

    Changelog

    2016-02-29 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.4.1-1) unstable; urgency=medium * New upstream release. * Drop B-D on python3?-werkezug no longer needed by upstream * Fix Vcs-git URL * Bump S-V; no changes needed

    2016-02-11 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.4.0-1) unstable; urgency=medium * New upstream release.

    2016-01-28 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.3.0-1) unstable; urgency=medium * New upstream release. * Switch Vcs-git to https.

    2016-01-15 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.2.0-1) unstable; urgency=medium * New upstream release. * Drop priority to extra, due to dep on python-mock.

    2015-12-15 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.1.1-1) unstable; urgency=medium * New upstream release.

    2015-12-10 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.1.0-3) unstable; urgency=medium * Bump for release to sid.

    2015-12-05 - Francois Marier <francois@debian.org> python-acme (0.1.0-2) experimental; urgency=medium * Version the python{,3}-openssl runtime dependency (closes: #807114)

    2015-12-03 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.1.0-1) experimental; urgency=medium * New upstream release. * Change to using new GPG key.

    2015-12-01 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.0.0.dev20151123-2) experimental; urgency=medium * Add Breaks directive to help apt figure out upgrade paths.

    2015-11-29 - Harlan Lieberman-Berg <hlieberman@setec.io> python-acme (0.0.0.dev20151123-1) experimental; urgency=medium * New upstream version.

    Advertisement
    Advertisement